﻿
/*--------------------------------------------------------------------------------*
  Project: CrossRoad
  Copyright (C)Nintendo All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *--------------------------------------------------------------------------------*/

#pragma once
#ifndef INCLUDE_NN_NLIB_SUCCINCT_SUCCINCT_H_
#define INCLUDE_NN_NLIB_SUCCINCT_SUCCINCT_H_

#include "nn/nlib/Config.h"
#include "nn/nlib/succinct/AhoCorasick.h"
#include "nn/nlib/succinct/AhoCorasickBuilder.h"
#include "nn/nlib/succinct/Bp.h"
#include "nn/nlib/succinct/Louds.h"
#include "nn/nlib/succinct/Sbv.h"
#include "nn/nlib/succinct/Trie.h"
#include "nn/nlib/succinct/WordFilter.h"

#endif  // INCLUDE_NN_NLIB_SUCCINCT_SUCCINCT_H_
